%define	blurb Wireshark is a fork of Ethereal(tm)

%define	major 0
%define libname %mklibname wireshark %{major}
%define main_version 0.99.8
%define subrel 1

Summary:	Network traffic analyzer
Name:		wireshark
Version:	%{main_version}
Release:	%mkrel 0
License:	GPL
Group: 		Monitoring
URL: 		http://www.wireshark.org
Source0:	http://www.wireshark.org/download/src/%{name}-%{version}.tar.bz2
Source1:	http://www.wireshark.org/download/src/all-versions/SIGNATURES-%{main_version}.txt
Patch0:		wireshark-plugindir.patch
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires:	usermode-consoleonly
BuildRequires:	doxygen
BuildRequires:	autoconf2.5
BuildRequires:	automake1.7
BuildRequires:	libtool
BuildRequires:	glib2-devel
BuildRequires:	gtk+2-devel
BuildRequires:	libelf-devel
BuildRequires:	openssl-devel
BuildRequires:	libpcap-devel >= 0.7.2
BuildRequires:	libsmi-devel
BuildRequires:	pcre-devel
BuildRequires:	adns-devel
BuildRequires:	krb5-devel
BuildRequires:	libgnutls-devel
BuildRequires:	flex bison
Provides:	ethereal = %{version}
Obsoletes:	ethereal
#Conflicts:	ethereal
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Wireshark is a network traffic analyzer for Unix-ish operating
systems. It is based on GTK+, a graphical user interface library,
and libpcap, a packet capture and filtering library.

%{blurb}

%package -n	%{libname}
Summary:	Network traffic and protocol analyzer libraries
Group:         	System/Libraries
Conflicts:      ethereal <= 0.10.5
Provides:	%{mklibname ethereal 0} = %{version}
Obsoletes:	%{mklibname ethereal 0}
#Conflicts:	%{mklibname ethereal 0}

%description -n	%{libname}
Wireshark is a network traffic analyzer for Unix-ish operating
systems. It is based on GTK+, a graphical user interface library,
and libpcap, a packet capture and filtering library.

%{blurb}

%package	tools
Summary:	Tools for manipulating capture files
Group:		Monitoring
Provides:	ethereal-tools = %{version}
Obsoletes:	ethereal-tools
#Conflicts:	ethereal-tools

%description	tools
Set of tools for manipulating capture files. Contains:
- editcap - Edit and/or translate the format of capture files
- mergecap - Merges two capture files into one
- text2cap - Generate a capture file from an ASCII hexdump of packets

%{blurb}

%package -n	tshark
Summary:	Text-mode network traffic and protocol analyzer
Group:		Monitoring
Provides:	tethereal = %{version}
Obsoletes:	tethereal
#Conflicts:	tethereal

%description -n tshark
Twireshark is a network protocol analyzer. It lets you capture packet
data from a live network, or read packets from a previously saved
capture file, either printing a decoded form of those packets to the
standard output or writing the packets to a file. Twireshark's native
capture file format is libpcap format, which is also the format used
by tcpdump and various other tools.

%{blurb}

%prep

%setup -q -n %{name}-%{version}
%patch0 -p0 -b .plugindir

%build
export WANT_AUTOCONF_2_5=1
rm -f configure wiretap/configure
libtoolize --copy --force; aclocal-1.7 -I aclocal-fallback; autoconf; automake-1.7 --add-missing --copy
# handled by main configure since 0.99.8
#pushd wiretap
#    aclocal-1.7 -I ../aclocal-fallback; autoconf; automake-1.7 --add-missing --copy
#popd
    
export LIBS="-L%{_libdir}"
export LDFLAGS="-L%{_libdir}"

%configure2_5x \
    --disable-warnings-as-errors --enable-warnings-as-errors=no \
    --disable-usr-local \
    --disable-static \
    --enable-gtk2 \
    --enable-tshark \
    --enable-editcap \
    --enable-dumpcap \
    --enable-capinfos \
    --enable-mergecap \
    --enable-text2pcap \
    --enable-idl2wrs \
    --enable-dftest \
    --enable-randpkt \
    --enable-ipv6 \
    --without-libcap \
    --with-pcap=%{_prefix} \
    --with-zlib=%{_prefix} \
    --with-pcre=%{_prefix} \
    --with-ssl=%{_prefix} \
    --with-libsmi=%{_prefix} \
    --with-plugins=%{_libdir}/%{name}

%make

# duh?
make %{name}.1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std transform=""

# duh?
install -m0644 %{name}.1 %{buildroot}%{_mandir}/man1/

# menu
install -d %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF

?package(%{name}): \
command="%{name}" \
title="Wireshark" \
longtitle="%{summary}" \
needs="x11" \
icon="%{name}.png" \
section="System/Monitoring" \
xdg="true"

?package(%{name}): \
command="%{name}-root" \
title="Wireshark (root user)" \
longtitle="%{summary} (root user)" \
needs="x11" \
icon="%{name}.png" \
section="System/Monitoring" \
xdg="true"
EOF

# setup links for consolehelpper support to allow root access
install -d %{buildroot}%{_sbindir}
pushd %{buildroot}%{_bindir}
ln -sf consolehelper %{name}-root
cd %{buildroot}%{_sbindir}
ln -s ../bin/%{name} %{name}-root
popd

# icon
install -d %{buildroot}%{_miconsdir}
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_liconsdir}

install -m0644 image/wsicon16.png %{buildroot}%{_miconsdir}/%{name}.png
install -m0644 image/wsicon32.png %{buildroot}%{_iconsdir}/%{name}.png
install -m0644 image/wsicon48.png %{buildroot}%{_liconsdir}/%{name}.png

# XDG menu
install -d %{buildroot}%{_datadir}/applications
install -m0644 wireshark.desktop %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop

cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Wireshark
Comment=%{summary}
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=GTK;X-MandrivaLinux-System-Monitoring;System;Monitor;
EOF

cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}-root.desktop << EOF
[Desktop Entry]
Name=Wireshark (root user)
Comment=%{summary} (root user)
Exec=%{name}-root
Icon=%{name}
Terminal=false
Type=Application
Categories=GTK;X-MandrivaLinux-System-Monitoring;System;Monitor;
EOF

# move this one to /usr/sbin
mv %{buildroot}%{_bindir}/dumpcap %{buildroot}%{_sbindir}/dumpcap

# fix one odd bug...
pushd %{buildroot}%{_bindir}
    ln -s ../sbin/dumpcap dumpcap
popd

# do we need a development package?
rm -f %{buildroot}%{_libdir}/*.so
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/%{name}/*.la
rm -f %{buildroot}%{_datadir}/%{name}/COPYING

# fix @SHELL@
perl -pi -e "s|\@SHELL\@|/bin/sh|g" %{buildroot}%{_bindir}/idl2wrs

%post
%update_menus
%update_desktop_database

%postun
%clean_menus
%clean_desktop_database

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/%{name}-root
%attr(755,root,root) %{_bindir}/dumpcap
%attr(755,root,root) %{_sbindir}/%{name}-root
%attr(755,root,root) %{_sbindir}/dumpcap
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/*.so
%config(noreplace) %attr(644,root,root) %{_datadir}/%{name}/manuf
%config(noreplace) %attr(644,root,root) %{_datadir}/%{name}/cfilters
%config(noreplace) %attr(644,root,root) %{_datadir}/%{name}/colorfilters
%config(noreplace) %attr(644,root,root) %{_datadir}/%{name}/dfilters
%config(noreplace) %attr(644,root,root) %{_datadir}/%{name}/diameter/*
%config(noreplace) %attr(644,root,root) %{_datadir}/%{name}/radius/dictionary*
%config(noreplace) %attr(644,root,root) %{_datadir}/%{name}/services
%config(noreplace) %attr(644,root,root) %{_datadir}/%{name}/smi_modules
%config(noreplace) %attr(644,root,root) %{_datadir}/%{name}/tpncp/*
%config(noreplace) %attr(644,root,root) %{_datadir}/%{name}/wimaxasncp/dictionary.*
%attr(644,root,root) %{_datadir}/%{name}/help/*
%dir %{_datadir}/%{name}
%{_menudir}/%{name}
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_mandir}/man1/dumpcap.1*
%{_mandir}/man1/%{name}.1*
%{_mandir}/man4/%{name}-filter.4*
%{_datadir}/%{name}/*.html
%{_datadir}/%{name}/ws.css
%{_datadir}/%{name}/AUTHORS-SHORT
%dir %{_datadir}/%{name}/dtds
%{_datadir}/%{name}/dtds/*
%{_datadir}/applications/*.desktop

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/capinfos
%attr(755,root,root) %{_bindir}/dftest
%attr(755,root,root) %{_bindir}/editcap
%attr(755,root,root) %{_bindir}/idl2wrs
%attr(755,root,root) %{_bindir}/mergecap
%attr(755,root,root) %{_bindir}/randpkt
%attr(755,root,root) %{_bindir}/text2pcap
%attr(755,root,root) %{_bindir}/rawshark
%{_mandir}/man1/capinfo*
%{_mandir}/man1/editcap*
%{_mandir}/man1/idl2wrs*
%{_mandir}/man1/mergecap*
%{_mandir}/man1/text2pcap*
%{_mandir}/man1/rawshark*

%files -n tshark
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/tshark
%{_mandir}/man1/tshark*

%files -n %{libname}
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog FAQ NEWS README{,.[lv]*} doc/{randpkt.txt,README.*}
%attr(755,root,root) %{_libdir}/lib*.so.*


%changelog
* Fri Feb 29 2008 Gustavo De Nardin <gustavodn@mandriva.com>
- 0.99.8: security fixes for CVE-2008-1070, CVE-2008-1071, CVE-2008-1072

* Mon Jan 07 2008 Gustavo De Nardin <gustavodn@mandriva.com>
- explicitly disable libcap support, to avoid requiring 'capability' kernel module

* Wed Dec 26 2007 Gustavo De Nardin <gustavodn@mandriva.com>
- 0.99.7: security fixes for CVE-2007-6111, CVE-2007-6112, CVE-2007-6113,
  CVE-2007-6114, CVE-2007-6115, CVE-2007-6116, CVE-2007-6117, CVE-2007-6118,
  CVE-2007-6119, CVE-2007-6120, CVE-2007-6121, CVE-2007-6438, CVE-2007-6439,
  CVE-2007-6441, CVE-2007-6450, CVE-2007-6451
- P0: fix plugin directory specification (from Cooker)

* Tue Jul 10 2007 Vincent Danen <vdanen@mandriva.com>
- 0.99.6: security fixes for CVE-2007-3389, CVE-2007-3390, CVE-2007-3391,
  CVE-2007-3392, CVE-2007-3393

* Fri Feb 02 2007 Vincent Danen <vdanen@mandriva.com>
- 0.99.5 (security fixes for CVE-2007-0456, CVE-2007-0457, CVE-2007-0458,
  CVE-2007-0459)

* Thu Nov 02 2006 Vincent Danen <vdanen@mandriva.com>
- 0.99.4 (security fixes for CVE-2006-4574, CVE-2006-4805, CVE-2006-5468,
  CVE-2006-5469, CVE-2006-5740)

* Fri Aug 25 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-08-25 21:58:14 (58147)
- updated to version 0.99.3a, fixing CVE-2006-43[30-33]
- added signed SIGNATURES file

* Fri Aug 25 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-08-25 20:25:53 (58136)
- Import wireshark


* Mon Jul 31 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.2-3mdv2007.0
- fix xdg menu stuff

* Wed Jul 19 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.2-2mdv2007.0
- fix deps

* Tue Jul 18 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.2-1mdv2007.0
- 0.99.2 (Major security fixes)
- fix xdg menu

* Tue Jun 13 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.1-0.pre1.3mdv2007.0
- fix deps
- added a blurb

* Sun Jun 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.1-0.pre1.2mdv2007.0
- added some lib64 fixes
- fix deps

* Sun Jun 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.1-0.pre1.1mdv2007.0
- 0.99.1pre1
- new name

* Thu Jun 01 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.0-5mdv2007.0
- rebuild

* Wed May 31 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.0-4mdv2007.0
- dumpcap belongs in /usr/sbin/ and /usr/bin/, fix that with a symlink (#22849)

* Tue May 23 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.0-3mdk
- dumpcap belongs in /usr/sbin/ for convenience (#22517)

* Wed Apr 26 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.0-2mdk
- dumpcap belongs to the main package (vdanen)

* Tue Apr 25 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.0-1mdk
- 0.99.0 (Major security fixes)

* Tue Sep 06 2005 Oden Eriksson <oeriksson@mandriva.com> 0.10.14-1mdk
- 0.10.14; fixes CVE-2005-3651
- dropped P1 and P2, fixed upstream

* Tue Sep 06 2005 Oden Eriksson <oeriksson@mandriva.com> 0.10.12-1mdk
- 0.10.12; multiple security fixes
- fix #17045
- fix deps

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 0.10.11-4mdk
- rebuilt against new libpcap-0.9.1 (aka. a "play safe" rebuild)

* Fri Jun 10 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.10.11-3mdk
- Rebuild for libkrb53-devel 1.4.1

* Thu Jun 09 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.10.11-2mdk
- Rebuild for libkrb53-devel 1.4.1

* Thu May 05 2005 Oden Eriksson <oeriksson@mandriva.com> 0.10.11-1mdk
- 0.10.11 (Major security fixes)

* Wed Mar 23 2005 Olivier Blin <oblin@mandrakesoft.com> 0.10.10-1mdk
- 0.10.10 (security fixes, #14660)

* Fri Jan 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.10.9-1mdk
- 0.10.9

* Thu Dec 16 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.10.8-1mdk
- 0.10.8

* Fri Nov 19 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.10.7-1mdk
- 0.10.7
- regenerate P1
- cosmetics

* Mon Oct 11 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.6-3mdk
- Fix conflicts when upgrading from 10.0 + security update

* Mon Aug 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.6-2mdk
- Patch1: use correct alias for monospaced font

* Tue Aug 17 2004 Pascal Terjan <pterjan@mandrake.org> 0.10.6-1mdk
- 0.10.6
- updated patch 0

* Thu Jul 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.10.5-1mdk
- new release
- rediff patch 0

* Tue Jun 08 2004 Michael Scherer <misc@mandrake.org> 0.10.4-3mdk 
- fix upgrade with Conflicts

* Mon Jun 07 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.10.4-2mdk
- fix deps
- use some more libtool stuff

* Sat Jun 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.10.4-1mdk
- 0.10.4
- use the %%configure2_5x macro
- huge spec file fixes (used ideas from debian and PLD)

* Wed Apr 14 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.10.3-4mdk
- fix filelist
- some 64-bit fixes

* Sat Apr 10 2004 Michael Scherer <misc@mandrake.org> 0.10.3-3mdk 
- [DIRM]
- add complete url to source

* Sat Mar 27 2004 Michael Scherer <misc@mandrake.org> 0.10.3-2mdk
- remove devel requires
- clean hardcoded requires
 
* Fri Mar 26 2004 Michael Scherer <misc@mandrake.org> 0.10.3-1mdk
- 0.10.3
- more macro
- remove patch #1, integrated upstream
- use Bundled library for snmp

* Sun Feb 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.10.0a-3mdk
- patch1: ethereal-tethereal-with-X.patch (Bug #7091)
- in spec menu
- clean spec

* Mon Dec 15 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.10.0a-2mdk
- fix buildrequires

* Mon Dec 15 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.10.0a-1mdk
- 0.10.0a
- use the corrected tarball and drop S4

* Sat Dec 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.10.0-1mdk
- 0.10.0
- added missing stuff (S4)

* Mon Dec 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.16-2mdk
- fix explicit-lib-dependency

* Wed Nov 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.16-1mdk
- 0.9.16

* Fri Jun 27 2003 Stefan van der Eijk <stefan@eijk.nu> 0.9.13-1mdk
- 0.9.13

* Fri May 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.12-1mdk
- 0.9.12 (security fixes)
- fix requires and buildrequires
- misc spec file fixes

* Mon Apr 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.11-2mdk
- adjust buildrequires

* Wed Apr 23 2003 Vincent Danen <vdanen@mandrakesoft.com> 0.9.11-1mdk
- 0.9.11 (security fixes)
- BuildRequires: libpcap-devel
- diameter and manuf files have been moved to /usr/share/ethereal from /etc

* Thu Feb 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.9-1mdk
- 0.9.9

* Thu Jan 09 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.8-1mdk
- 0.9.8

* Wed Oct 02 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.7-1mdk
- 0.9.7

* Tue Aug 27 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.6-2mdk
- adjust buildrequires

* Fri Aug 23 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.6-1mdk
- new version
- misc spec file fixes

* Tue Apr 09 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.3-1mdk
- 0.9.3

* Tue Mar 05 2002  Lenny Cartier <lenny@mandrakesoft.com> 0.9.2-1mdk
- 0.9.2

* Tue Feb 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-1mdk
- 0.9.1

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.20-3mdk
- xpm -> png icons
- don't overwrite config files

* Wed Oct 24 2001 Vincent Saugey <vince@mandrakesoft.com> 0.8.20-2mdk
- Replace require ucd-snmp by libsnmp0

* Wed Oct 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8.20-1mdk
- 0.8.20

* Wed Sep 05 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 0.8.19-1mdk
- updated to 0.8.19.

* Thu Jul 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8.18-1mdk
- updated to 0.8.18

* Thu Apr 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8.17-1mdk
- updated to 0.8.17

* Wed Mar 07 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.8.16-1mdk
- updated to 0.8.16
- disable snmp 

* Tue Nov 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.8.14-1mdk
- updated to 0.8.14

* Fri Oct 27 2000 Vincent Saugey <vince@mandrakesoft.com> 0.8.13-1mdk
- Up to 0.8.13
- Fix menu entry (not more ':' at end of icons name)

* Fri Aug 25 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.11-2mdk
- added BuildRequires.
- added tethereal, editcap binaries.
- added doc dir to docs.

* Fri Aug 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.8.11-1mdk
- update to v0.8.11

* Wed Jul 12 2000 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.8.10-1mdk
- v0.8.10
- menu entry
- changed group

* Tue Dec 30 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- bz2 archive
- specfile adaptations
